Subject: Re: [PATCH]snmp6 64-bit counter support in proc.c

From: "David S. Miller" <[email-masked]>
Date: Thu, 15 Jan 2004 00:57:29 -0800

On Wed, 14 Jan 2004 14:52:51 -0800
Shirley Ma <[email-masked]> wrote:

> > "sizeof(unsigned long)" evaluates to 8 on 64-bit systems,
> > yet you assume it always evaluated to 4 as on 32-bit systems.
> >
> > Maybe it would be wiser to explicitly use 'u32' and 'u64' for
> > the types of the snmp counters?
> >
> > This has always been a sore area.
> 
> This is the new patch against 2.6.1 kernel.

I am personally fine with this patch, but I do believe some folks might find
it controversial (for whatever reason) to move all of these stats over to 64-bits.

So I'm going to let this sit for another day or two so people can voice any
objections they may have.